GET
/
api
/
v1
/
git_credentials
/
{uuid}
Get git credential
curl --request GET \
  --url https://app.miget.com/api/v1/git_credentials/{uuid} \
  --header 'Authorization: <api-key>'
{
  "uuid": "<string>",
  "name": "<string>",
  "provider": "<string>",
  "installation_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Credential UUID

Response

Get git credential

Api_V1_Entities_GitCredential model

uuid
string
required

Unique credential identifier — pass this as credential_id when creating a stack or a github-sourced app

name
string
required

Display name (unique per workspace)

provider
string
required

Git provider: 'github', 'gitlab', or 'bitbucket'

installation_id
string
required

GitHub App installation id (present for GitHub App credentials)

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp